MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029394Community[OCCT] OCCT:Samplespublic2017-12-19 13:042018-06-29 21:19
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029394: Samples - IESample contains strange STEP reading code
DescriptionThe method Translate::importSTEP( const QString& file ) creates a new sequence for every root, fills it with shapes and discards (!) it as soon as a new root is transferred. The last sequence is then returned by the method. This is nonsense. It would be better to transfer all roots and then to read in all shapes.

I had imitated the code and suffered from its weirdness, therefore I would propose to fix that.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0073032)
git (administrator)
2017-12-19 13:14

Branch CR29394 has been created by BenjaminBihler.

SHA-1: b7f7b532003339615c09ec0541c18ca0f3b15751


Detailed log of new commits:

Author: Benjamin Bihler
Date: Tue Dec 19 11:12:32 2017 +0100

    0029394: IESample contains strange STEP reading code
    
    All STEP roots are transferred first and then all shapes are read.
    The resulting sequence is not discarded and recreated.
(0073073)
bugmaster (administrator)
2017-12-21 15:51

Dear Galina,

Could you please revise fix?
(0074991)
gka (developer)
2018-03-28 10:56

Branch CR29394 was reviewed
(0075316)
git (administrator)
2018-04-11 11:00

Branch CR29394 has been deleted by kgv.

SHA-1: b7f7b532003339615c09ec0541c18ca0f3b15751

- Related Changesets
occt: master 4563472c
Timestamp: 2017-12-19 10:12:32
Author: BenjaminBihler
Committer: bugmaster
Details ] Diff ]
0029394: IESample contains strange STEP reading code

All STEP roots are transferred first and then all shapes are read.
The resulting sequence is not discarded and recreated.
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-19 13:04 BenjaminBihler New Issue
2017-12-19 13:04 BenjaminBihler Assigned To => BenjaminBihler
2017-12-19 13:14 git Note Added: 0073032
2017-12-19 13:14 BenjaminBihler Assigned To BenjaminBihler => bugmaster
2017-12-19 13:14 BenjaminBihler Status new => resolved
2017-12-19 13:14 BenjaminBihler Steps to Reproduce Updated View Revisions
2017-12-21 15:51 bugmaster Assigned To bugmaster => gka
2017-12-21 15:51 bugmaster Note Added: 0073073
2018-02-27 16:21 kgv Summary IESample contains strange STEP reading code => Samples - IESample contains strange STEP reading code
2018-03-28 10:56 gka Note Added: 0074991
2018-03-28 10:56 gka Assigned To gka => bugmaster
2018-03-28 10:56 gka Status resolved => reviewed
2018-03-28 13:34 bugmaster Status reviewed => tested
2018-03-30 20:08 bugmaster Test case number => Not needed
2018-04-10 11:55 abv Target Version 7.4.0* => 7.3.0
2018-04-11 07:49 bugmaster Changeset attached => occt master 4563472c
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075316
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker